edu.northwestern.at.morphadorner.corpuslinguistics.postagger.hepple

## Class Rule

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.postagger.hepple.Rule

- Direct Known Subclasses:
    Rule_CURWD, Rule_LBIGRAM, Rule_NEXT1OR2OR3TAG, Rule_NEXT1OR2TAG, Rule_NEXT1OR2WD, Rule_NEXT2TAG, Rule_NEXT2WD, Rule_NEXTBIGRAM, Rule_NEXTTAG, Rule_NEXTWD, Rule_PREV1OR2OR3TAG, Rule_PREV1OR2TAG, Rule_PREV1OR2WD, Rule_PREV2TAG, Rule_PREV2WD, Rule_PREVBIGRAM, Rule_PREVTAG, Rule_PREVWD, Rule_RBIGRAM, Rule_SURROUNDTAG, Rule_UNKNOWN, Rule_UNRESTRICTED, Rule_WDAND2AFT, Rule_WDAND2BFR, Rule_WDAND2TAGAFT, Rule_WDAND2TAGBFR, Rule_WDNEXTTAG, Rule_WDPREVTAG

      public abstract class Rule
      extends java.lang.Object

  Title: HepTag Description: Mark Hepple's POS tagger Copyright: Copyright (c) 2001 Company: University of Sheffield
  Version:
    1.0
  Author:
    Mark Hepple

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String[]` | `context`
    `protected boolean` | `debug`
    `protected java.lang.String` | `from`
    `protected java.lang.String` | `ruleId`
    `protected java.lang.String` | `to`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `apply(HeppleTagger tagger)`
    `abstract boolean` | `checkContext(HeppleTagger tagger)`
    `boolean` | `hasToTag(HeppleTagger tagger)`
    `void` | `initialise(java.util.List ruleParts)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debug

          protected boolean debug

    - #### from

          protected java.lang.String from

    - #### to

          protected java.lang.String to

    - #### ruleId

          protected java.lang.String ruleId

    - #### context

          protected java.lang.String[] context

  - ### Constructor Detail

    - #### Rule

          public Rule()

  - ### Method Detail

    - #### initialise

          public void initialise(java.util.List ruleParts)

    - #### checkContext

          public abstract boolean checkContext(HeppleTagger tagger)

    - #### hasToTag

          public boolean hasToTag(HeppleTagger tagger)

    - #### apply

          public boolean apply(HeppleTagger tagger)